: Class AddressBook

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.addressbook
Class AddressBook

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Window
                        |
                        +--java.awt.Frame
                              |
                              +--javax.swing.JFrame
                                    |
                                    +--grendel.ui.GeneralFrame
                                          |
                                          +--grendel.addressbook.AddressBook

public class AddressBook
extends GeneralFrame

See Also:
  Serialized Form

Inner Class Summary
`protected static class` | `AddressBook.AppCloser`
`class` | `AddressBook.DataModel`
`protected class` | `AddressBook.FrameHider` Handles windowClosing for window listener.

Inner classes inherited from class javax.swing.JFrame
`javax.swing.JFrame.AccessibleJFrame`

Field Summary
`static java.lang.String` | `blankPageTag`
`static java.lang.String` | `byCityTag`
`static java.lang.String` | `byCompanyTag`
`static java.lang.String` | `byEmailAddressTag`
`static java.lang.String` | `byNameTag`
`static java.lang.String` | `byNicknameTag`
`static java.lang.String` | `byTypeTag`
`static java.lang.String` | `callTag`
`static java.lang.String` | `cardPropertiesTag`
`static java.lang.String` | `closeWindowTag`
`protected java.lang.String` | `ColumnName`
`static java.lang.String` | `deleteTag`
`static java.lang.String` | `hideMessageToolbarTag`
`static java.lang.String` | `HTMLDomainsTag`
`static java.lang.String` | `importTag`
`protected int` | `mColumnSorted`
`protected grendel.addressbook.AddressBook.DataSourceList` | `mDataSourceList`
`static java.lang.String` | `messageTag`
`protected javax.swing.JTextField` | `mSearchField`
`protected javax.swing.JComboBox` | `mSearchSource`
`protected boolean` | `mSortAscending`
`static java.lang.String` | `myAddressBookCardTag`
`static java.lang.String` | `navigatorWindowTag`
`static java.lang.String` | `newCardTag`
`static java.lang.String` | `newListTag`
`static java.lang.String` | `pageFromTemplateTag`
`static java.lang.String` | `pageFromWizardTag`
`static java.lang.String` | `preferencesTag`
`static java.lang.String` | `redoTag`
`static java.lang.String` | `saveAsTag`
`static java.lang.String` | `searchDirectoryTag`
`static java.lang.String` | `sortAscendingTag`
`static java.lang.String` | `sortDescendingTag`
`static java.lang.String` | `undoTag`

Fields inherited from class grendel.ui.GeneralFrame
`fAnimation, fID, fLabels, fMenu, fPanel, fResourceBase, fStatusBar, fStatusLabel, fToolBar, fToolBarPanel, fToolBarPanelConstraints, fToolBarPanelLayout`

Fields inherited from class javax.swing.JFrame
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`AddressBook()`

Method Summary
`void` | `addToolbarButton(GrendelToolBar aToolBar, UIAction aActionListener, java.lang.String aImageName, java.lang.String aToolTip)` create a toolbar button
`protected javax.swing.JFrame` | `getParentFrame()` Find the hosting frame, for the file-chooser dialog.
`protected void` | `hideThisFrame()` Hide this frame.
`static void` | `main(java.lang.String[] args)`

Methods inherited from class grendel.ui.GeneralFrame
`buildMenu, buildStatusBar, CloseAllFrames, dispose, FindFrameByID, FindFrameByID, GetDefaultFrame, GetFrameList, getID, IsExternalShell, restoreBounds, restoreBounds, saveBounds, SetExternalShell, setID, setStatusText, startAnimation, stopAnimation, updateUI`

Methods inherited from class javax.swing.JFrame
`addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isRootPaneCheckingEnabled, paramString, processKeyEvent, processWindowEvent, setContentPane, setDefaultCloseOperation, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Frame
`addNotify, finalize, getCursorType, getFrames, getIconImage, getMenuBar, getState, getTitle, isResizable, remove, removeNotify, setCursor, setIconImage, setMenuBar, setResizable, setState, setTitle`

Methods inherited from class java.awt.Window
`addWindowListener, applyResourceBundle, applyResourceBundle, getFocusOwner, getInputContext, getLocale, getOwnedWindows, getOwner, getToolkit, getWarningString, isShowing, pack, postEvent, processEvent, removeWindowListener, show, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setFont, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputMethodRequests, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processMouseEvent, processMouseMotionEvent, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mDataSourceList

    protected grendel.addressbook.AddressBook.DataSourceList mDataSourceList

### mSearchSource

    protected javax.swing.JComboBox mSearchSource

### mSearchField

    protected javax.swing.JTextField mSearchField

### mSortAscending

    protected boolean mSortAscending

### ColumnName

    protected java.lang.String ColumnName

### mColumnSorted

    protected int mColumnSorted

### newCardTag

    public static final java.lang.String newCardTag

### newListTag

    public static final java.lang.String newListTag

### importTag

    public static final java.lang.String importTag

### saveAsTag

    public static final java.lang.String saveAsTag

### callTag

    public static final java.lang.String callTag

### closeWindowTag

    public static final java.lang.String closeWindowTag

### navigatorWindowTag

    public static final java.lang.String navigatorWindowTag

### messageTag

    public static final java.lang.String messageTag

### blankPageTag

    public static final java.lang.String blankPageTag

### pageFromTemplateTag

    public static final java.lang.String pageFromTemplateTag

### pageFromWizardTag

    public static final java.lang.String pageFromWizardTag

### undoTag

    public static final java.lang.String undoTag

### redoTag

    public static final java.lang.String redoTag

### deleteTag

    public static final java.lang.String deleteTag

### searchDirectoryTag

    public static final java.lang.String searchDirectoryTag

### HTMLDomainsTag

    public static final java.lang.String HTMLDomainsTag

### cardPropertiesTag

    public static final java.lang.String cardPropertiesTag

### preferencesTag

    public static final java.lang.String preferencesTag

### hideMessageToolbarTag

    public static final java.lang.String hideMessageToolbarTag

### byTypeTag

    public static final java.lang.String byTypeTag

### byNameTag

    public static final java.lang.String byNameTag

### byEmailAddressTag

    public static final java.lang.String byEmailAddressTag

### byCompanyTag

    public static final java.lang.String byCompanyTag

### byCityTag

    public static final java.lang.String byCityTag

### byNicknameTag

    public static final java.lang.String byNicknameTag

### sortAscendingTag

    public static final java.lang.String sortAscendingTag

### sortDescendingTag

    public static final java.lang.String sortDescendingTag

### myAddressBookCardTag

    public static final java.lang.String myAddressBookCardTag

Constructor Detail

### AddressBook

    public AddressBook()

Method Detail

### main

    public static void main(java.lang.String[] args)

### hideThisFrame

    protected void hideThisFrame()

  Hide this frame.

### getParentFrame

    protected javax.swing.JFrame getParentFrame()

  Find the hosting frame, for the file-chooser dialog.

### addToolbarButton

    public void addToolbarButton(GrendelToolBar aToolBar,
                                 UIAction aActionListener,
                                 java.lang.String aImageName,
                                 java.lang.String aToolTip)

  create a toolbar button
  Parameters:
    `aToolBar` - The parent toolbar to add this button to.
    `aActionListener` - Who you want to be notified when the button is pressed.
    `aImageName` - The image name for the button. like "save.gif"
    `aToolTip` - The buttons tool tip. like "Save the current file".
  See Also:
    `createToolbar`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD